Bug 632773 - [6.1 FEAT] Bump libvirt-cim version to pick up sVirt support
[6.1 FEAT] Bump libvirt-cim version to pick up sVirt support
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt-cim (Show other bugs)
All All
medium Severity medium
: beta
: 6.2
Assigned To: Daniel Veillard
Virtualization Bugs
: FutureFeature, Rebase
Depends On:
Blocks: 638197 655920 659725 669731 693823
  Show dependency treegraph
Reported: 2010-09-10 17:54 EDT by IBM Bug Proxy
Modified: 2011-05-25 21:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-05-25 21:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 67222 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-09-10 17:54:23 EDT
1. Feature Overview:
Feature Id: [67222]
a. Name of Feature: [6.1 FEAT] Bump libvirt-cim version to pick up sVirt support
b. Feature Description
This feature comprises a libvirt-cim version bump to pick up sVirt support.  sVirt is already
supported in libvirt.  The update to libvirt-cim exposes that support for CIM-based management.

2. Feature Details:
Sponsor: LTC Security
  IA_64, ppc64, x86, zSeries - 31/32 compat, zSeries - 31/32 Native, zSeries - 64 native, 

Arch Specificity: purely common code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Direct from Community
Category: system management
Request Type: Package - Update Version
d. Upstream Acceptance: Field does not exist
Sponsor Priority P2
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:

3. Business Case
CIM-based management tools require this interface.

A cloud administrator needs to manage the labels on VMs and disk images so that they can control
guest access to disk  images in order to help secure their multitanant environment.

4. Primary contact at Red Hat:
John Jarvis

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
TYLER C. HICKS, tchicks@us.ibm.com
Comment 2 IBM Bug Proxy 2010-10-04 12:27:25 EDT
------- Comment From rsisk@us.ibm.com 2010-10-04 11:14 EDT-------
Code Upstream Status: Not Started
Comment 4 Dave Allan 2010-11-22 23:01:56 EST
I'm setting cond nak patch simply to reflect that we will be looking for an
upstream patch from IBM if one has not already been submitted.
Comment 5 Daniel Veillard 2011-01-11 02:17:12 EST
Okay, I checked the mercurial base for upstream and don't see any specific svirt
support patch, so apparently this is not ready, but I'm double-checking,

Comment 7 IBM Bug Proxy 2011-01-12 10:33:30 EST
------- Comment From mcintire@us.ibm.com 2011-01-12 10:28 EDT-------
IBM will is closing this feature.
Comment 8 Daniel Veillard 2011-01-17 08:08:33 EST
okay, deferred to 6.2 in any case because this is not making 6.1,

Comment 9 John Jarvis 2011-01-17 10:16:09 EST
Adding to 6.2 tracker.

Note You need to log in before you can comment on or make changes to this bug.